Using the Library Web Site

Services
Find
About Us

The library web site is structured for the use of modern desktop browsers.

Browser Requirements

  • Firefox 3+ (preferred)
  • Internet Explorer 8+.  This web site will not operate correctly in Internet Explorer 7 nor in Internet Explorer 8 in "compatibility mode."  Certain other modes settings create further confusion, and web developers have created many ways, not all of them standards-compliant, to enable IE7, IE6, and others to function correctly.
  • Opera 9+
  • Chrome 5+
  • Safari 5+
There are many reasons for preferring browsers or user agents which adhere to the standards expressed by W3C at http://www.w3.org.